summary refs log tree commit diff
path: root/home/.local/bin/up
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2018-08-18 16:15:56 -0400
committerJune McEnroe <june@causal.agency>2018-08-18 16:24:25 -0400
commitdf5b8b987e8dd3e54df56d5e5569fabad5cb9eba (patch)
tree4ca7059888f4bcfa057796a6b46edb4b1bda052b /home/.local/bin/up
parentUse whence instead of type (diff)
downloadsrc-df5b8b987e8dd3e54df56d5e5569fabad5cb9eba.tar.gz
src-df5b8b987e8dd3e54df56d5e5569fabad5cb9eba.zip
Run {,s,t}up with /bin/sh
Diffstat (limited to 'home/.local/bin/up')
-rwxr-xr-xhome/.local/bin/up6
1 files changed, 3 insertions, 3 deletions
diff --git a/home/.local/bin/up b/home/.local/bin/up
index 43b1929b..4f832a3c 100755
--- a/home/.local/bin/up
+++ b/home/.local/bin/up
@@ -1,5 +1,5 @@
-#!/usr/bin/env zsh
-set -o errexit -o nounset -o pipefail
+#!/bin/sh
+set -e -u
 
 ts=$(date +%s)
 rand=$(openssl rand -hex 4)
@@ -9,4 +9,4 @@ url=$(printf 'temp.causal.agency/%x%s.%s' "$ts" "$rand" "$ext")
 scp -q "$1" "temp.causal.agency:/usr/local/www/$url"
 
 echo "https://$url"
-type pbcopy > /dev/null && echo -n "https://$url" | pbcopy
+type pbcopy > /dev/null && printf "https://$url" | pbcopy
2018-02-06Replace gfxx SCALE macro with interp functionJune McEnroe 2018-02-05Rename gfxx space indexed and add palette samplingJune McEnroe 2018-02-05Take scale into account for when to stop drawing in gfxxJune McEnroe 2018-02-05Always skip most significant bits in gfxxJune McEnroe 2018-02-05Set title in gfcocoaJune McEnroe 2018-02-05Double-buffer gfb frontendJune McEnroe 2018-02-05Rewrite gfxx bit handlingJune McEnroe 2018-02-05Add flip option to gfxxJune McEnroe 2018-02-05Remove gfxx reverse optionJune McEnroe 2018-02-04Fix gfxx draw stop conditionJune McEnroe 2018-02-04Reuse CGColorSpace and CGDataProvider in gfcocoaJune McEnroe 2018-02-04Mark mac target phonyJune McEnroe 2018-02-04Set up Makefile for gfxx-cocoa or gfxx-fbJune McEnroe 2018-02-04Avoid doing excessive work in gfxxJune McEnroe 2018-02-04Handle window resizing in gfcocoaJune McEnroe 2018-02-04Set cinoptionsJune McEnroe 2018-02-04Tweak colorscheme moreJune McEnroe 2018-02-04Color MatchParen DarkYellowJune McEnroe 2018-02-04Add palette sampling to gfxxJune McEnroe 2018-02-04Add 4-bit RGB to gfxxJune McEnroe 2018-02-04Add Quit menu item to gfcocoaJune McEnroe 2018-02-04Switch back to sane Objective-C styleJune McEnroe 2018-02-04Quit gfcocoa when window closesJune McEnroe 2018-02-03Apparently this is how people write Objective-CJune McEnroe